<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Traspasos de Productos';
echo "<title>".AppName.' - '.$title."</title>";

$CodigoTraspaso = substr(md5(uniqid()),1,7);
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>							
													<th width='1%'>N&ordm;</th>
													<th>producto</th>
													<th>piezas</th>
													<th>precios</th>
													<th>cantidad</th>
													<th>opciones</TH>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
											WHERE prod.ubica_codigo = ubi.ubica_codigo	
											AND prod_estado = '1';";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																													
												$prod_id = $db->dbField('prod_id');
												$ubica_codigo = $db->dbField('ubica_codigo');
													$ubica_nombre = $db->dbField('ubica_nombre');	
													$ubica_color = $db->dbField('ubica_color');												
												$prod_item = $db->dbField('prod_item');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_foto = $db->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');
												$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;			
												$prod_fecha = $db->dbField('prod_fecha');

												$html.='<tr>';
													$html.='<td align=center><b>'.$i.'</b></td>';
													$html.='<td><b>'.$prod_nombre.'</b><br>
														<b>Item: </b>'.$prod_item.'<br>
														<small><b>Ubicaci&oacute;n:&nbsp;</b><span style="background:'.$ubica_color.';padding:3px 7px;">'.$ubica_nombre.'</span></small></td>';
															
													$html.='<td>
														<b>Piezas en Caja: </b>'.$prod_piezascaja.'<br>
														<b>Cantidad Cajas: </b>'.number_format($CantidadRealCajas,2).'<br>
														<b>Total: </b>'.$prod_unidadesreal.'</td>';													
													$html.='<td>
													<b>Unitario:&nbsp;</b>'.$prod_preciounitario.'<br>
													<b>Docena:&nbsp;</b>'.$prod_preciodocena.'<br>
													<b>Caja&nbsp;Docena:&nbsp;</b>'.$prod_preciocajadocena.'</td>';
													if($CantidadRealCajas == 0){
														$html.='<td align=center><h2>SIN STOCK</h2></td>';					
														$html.='<td align=center><h2>SIN STOCK</h2></td>';										
													}else{
														$html.='<td align=center><b>Cajas:</b><br><input type="number" id="txtProd_'.$i.'" style="width:100px" class="form-control"></td>';													
														$html.="<td align='center'><div onclick=Traspasar('".$prod_codigo."',$('#txtProd_".$i."').val(),".$i.") class='btn btn-primary' style='color:white'>
													TRASPASAR</div></td>";
													}
													
												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
										<div id='CarritoTras'></div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		<div id='res'></div>
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 1,
	});
});	
function Traspasar(Prod,Cant,Num){	

	$.post('<?php echo PATH_HOME.'traspasos-verifica/'. md5(uniqid()); ?>',{
	 'CodigoTraspaso': '<?php echo $CodigoTraspaso; ?>',
	 'ProdCodigo': Prod,
	 'Cantidad':Cant,
	 'Num':Num,
	 'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 

}
</script>